Skip to main content
`Ctrl`+`K`

# IERS_B

class astropy.utils.iers.IERS_B(data=None, masked=False, names=None, dtype=None, meta=None, copy=True, rows=None, copy_indices=True, units=None, descriptions=None, **kwargs)

  Bases: `IERS`

  IERS Table class targeted to IERS B, provided by IERS itself.

  These are final values; see https://www.iers.org/IERS/EN/Home/home_node.html

  Notes

  If the package IERS B file (`iers.IERS_B_FILE`) is out of date, a new version can be downloaded from `iers.IERS_B_URL`.

  See `read` for instructions on how to read a pre-2023 style IERS B file (usually named `eopc04_IAU2000.62-now`).

  Attributes Summary

  `iers_table` | Cached table, returned if `open` is called without arguments.

  Methods Summary

  `dcip_source`(i) | Set CIP correction source flag for entries in IERS table.
  `pm_source`(i) | Set PM source flag for entries in IERS table.
  `read`([file, readme, data_start]) | Read IERS-B table from a eopc04.* file provided by IERS.
  `ut1_utc_source`(i) | Set UT1-UTC source flag for entries in IERS table.

  Attributes Documentation

  iers_table = None

    Cached table, returned if `open` is called without arguments.

  Methods Documentation

  dcip_source(i)

    Set CIP correction source flag for entries in IERS table.

  pm_source(i)

    Set PM source flag for entries in IERS table.

  classmethod read(file=None, readme=None, data_start=6)

    Read IERS-B table from a eopc04.* file provided by IERS.

    Parameters:
      file `python:str` or `os.PathLike`[`python:str`]

        full path to ascii file holding IERS-B data. Defaults to package version, `iers.IERS_B_FILE`.

      readme `python:str` or `os.PathLike`[`python:str`]

        full path to ascii file holding CDS-style readme. Defaults to package version, `iers.IERS_B_README`.

      data_start `python:int`

        Starting row. Default is 6, appropriate for standard IERS files.

    Returns:
      `IERS_B` class instance

    Notes

    To read a pre-2023 style IERS B file (usually named something like `eopc04_IAU2000.62-now`), do something like this example with an excerpt that is used for testing:

        >>> from astropy.utils.iers import IERS_B
        >>> from astropy.utils.data import get_pkg_data_filename
        >>> old_style_file = get_pkg_data_filename(
        ...     "tests/data/iers_b_old_style_excerpt",
        ...     package="astropy.utils.iers")
        >>> iers_b = IERS_B.read(
        ...     old_style_file,
        ...     readme=get_pkg_data_filename("data/ReadMe.eopc04_IAU2000",
        ...                                  package="astropy.utils.iers"),
        ...     data_start=14)

  ut1_utc_source(i)

    Set UT1-UTC source flag for entries in IERS table.